/*
 * @Author: jiangxin
 * @Date: 2022-03-29 09:29:14
 * @Company: orientsec.com.cn
 * @Description: 分享 Item
 */
import React from "react";
import { View } from "@tarojs/components";
import { ChannelEnum } from "./shareService";
import "./shareItem.scss";
export var ShareItem = /*#__PURE__*/React.memo(function (props) {
  var icon = props.icon,
      text = props.text,
      channel = props.channel,
      onHandle = props.onHandle,
      callback = props.callback;
  return /*#__PURE__*/React.createElement(View, {
    className: 'shareitem',
    onClick: function onClick() {
      onHandle();
      callback === null || callback === void 0 ? void 0 : callback(ChannelEnum[channel]);
    }
  }, /*#__PURE__*/React.createElement(View, {
    className: 'shareitem__icon',
    style: {
      backgroundImage: "url(".concat(icon, ")")
    }
  }), /*#__PURE__*/React.createElement(View, {
    className: 'shareitem__text'
  }, text));
});