import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _assertThisInitialized from "@babel/runtime/helpers/esm/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _createSuper from "@babel/runtime/helpers/esm/createSuper";
import _wrapNativeSuper from "@babel/runtime/helpers/esm/wrapNativeSuper";

/*
 * @Author: jiangxin
 * @Date: 2022-03-29 09:29:14
 * @Company: orientsec.com.cn
 * @Description: 分享组件
 */
export var ErrorEnum;

(function (ErrorEnum) {
  ErrorEnum["shareError"] = "shareError";
})(ErrorEnum || (ErrorEnum = {}));
/**
 * 分享错误类型
 */


export var ShareError = /*#__PURE__*/function (_Error) {
  _inherits(ShareError, _Error);

  var _super = _createSuper(ShareError);

  function ShareError(props) {
    var _this;

    _classCallCheck(this, ShareError);

    _this = _super.call(this, props);
    Object.setPrototypeOf(_assertThisInitialized(_this), (this instanceof ShareError ? this.constructor : void 0).prototype);
    return _this;
  } //@ts-ignore


  _createClass(ShareError, [{
    key: "name",
    get: function get() {
      return ErrorEnum.shareError;
    }
  }]);

  return ShareError;
}( /*#__PURE__*/_wrapNativeSuper(Error));