import React from "react";
import { ChannelEnum, Share } from "../h5/shareService";
declare type ShareServiceType = ConstructorParameters<typeof Share>[0];
export interface ISharePanelRefType {
    /**
     * 打开面板
     */
    open: () => Promise<ChannelEnum>;
}
/**
 * 分享组件 props
 */
interface ISharePanel extends ShareServiceType {
    /**
     * 取消/关闭面板是否需要 reject
     * @default false
     */
    isCancelReject?: boolean;
}
/**
 * 分享组件
 */
export declare const SharePanel: React.ForwardRefExoticComponent<ISharePanel & React.RefAttributes<ISharePanelRefType | undefined>>;
export {};
